#import "AudioFileInfoPatch.h"

@implementation AudioFileInfoPatch : QCPatch

+ (int)executionModeWithIdentifier:(id)fp8
{
	return 0;
}
+ (BOOL)allowsSubpatchesWithIdentifier:(id)fp8
{
	return NO;
}
+ (int)timeModeWithIdentifier:(id)fp8
{
	return 0;
}

- (id)attributes
{
	NSMutableDictionary *at=[[super attributes] mutableCopy];
	[at setObject:@"Kineme Audio File Info" forKey:@"name"];
	return at;
}


- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
	if( [inputPath wasUpdated] )
	{
		NSString *path = [inputPath stringValue];
		if([path length] > 0)
		{
			
			if([path characterAtIndex:0] != '/')
			{
				if([path characterAtIndex:0] != '~')
				{
					// not absolute and not ~-ified, must be composition relative
					NSDictionary *options = [self _getUserInfo:@".options"];
					NSURL *url = [options objectForKey:@"compositionURL"];
					path = [[[url path] stringByDeletingLastPathComponent] stringByAppendingPathComponent:path];
				}
				else    // it is a ~ directory, expand it
					path = [path stringByExpandingTildeInPath];
			}
		}



		NSSound *s=[[NSSound alloc] initWithContentsOfFile:path byReference:YES];

		if(!s)
		{
			[outputFileLoaded setBooleanValue:NO];
			[outputDuration setDoubleValue:0.0];
			return YES;
		}

		[outputFileLoaded setBooleanValue:YES];
		[outputDuration setDoubleValue:[s duration]];

		[s release];
	}

	return YES;
}

@end
