#import "QCPatch.h"
#import "QCOpenGLContext.h"

#import "QCBooleanPort.h"
#import "QCStructurePort.h"
#import "QCStringPort.h"
#import "QCImagePort.h"

#import <AudioToolbox/AudioToolbox.h>

@interface AudioFileInputPatch : QCPatch
{
	QCStringPort	*inputPath;
	QCStructurePort	*outputWaveform;
	QCStructurePort	*outputPeaks;
	QCImagePort		*outputWaveformImage;
	
	ExtAudioFileRef audioFile;
	AudioBufferList	*mBufferList;
	float sampleRate;
	SInt64 headerFrames;
	CGColorSpaceRef cs;
	BOOL	isMP3;	// need to decode mp3s a bit differentl to get meaningful datas...
}

- (id)initWithIdentifier:(id)fp8;

- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;

- (void)enable:(QCOpenGLContext *)context;
- (void)disable:(QCOpenGLContext *)context;

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end