#import "QCPatch.h"
#import "QCOpenGLContext.h"

#import "QCStringPort.h"
#import "QCBooleanPort.h"
#import "QCIndexPort.h"
#import "QCNumberPort.h"


@interface AudioFilePlayerPatch : QCPatch
{
    QCStringPort *inputPath;

    QCStringPort *inputDeviceUID;
    QCStringPort *inputChannelMapping;
	QCBooleanPort *inputLoop;
	QCBooleanPort *inputTrig;

	QCNumberPort *inputCurrentVolume;
	QCNumberPort *inputCurrentPosition;


	NSMutableArray *_allocatedSounds;
	BOOL _executedSinceSetup;
}

- (id)initWithIdentifier:(id)fp8;

- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;

- (void)enable:(QCOpenGLContext *)context;
- (void)disable:(QCOpenGLContext *)context;

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;

- (void)_startPlayingThread:(NSSound*)s;
- (void)_startPlaying;
@end