@interface QCPixelFormat : NSObject
{
    void *_unused[4];
}

+ (id)allocWithZone:(NSZone *)fp8;
+ (void)initialize;
- (id)name;
- (id)compatibilities;
- (int)pixelColorModel;
- (int)pixelType;
- (int)pixelAlpha;
- (unsigned int)pixelBlockWidth;
- (unsigned int)pixelBlockHeight;
- (unsigned int)bitsPerBlock;
- (unsigned long)QTPixelFormat;
- (unsigned int)openGLInternalFormat;
- (unsigned int)openGLPixelFormat;
- (unsigned int)openGLPixelType;
- (int)CIFormat;
- (unsigned long)CGBitsPerComponent;
- (unsigned long)CGBitsPerPixel;
- (unsigned int)CGBitmapInfo;
- (struct CGColorSpace *)defaultColorSpace;
- (BOOL)isValidColorSpace:(struct CGColorSpace *)fp8;
- (BOOL)isSupportedOnContext:(id)fp8;
- (id)description;

@end

@interface QCPixelFormat (Registry)
+ (void)registerPixelFormat:(id)fp8;
+ (id)allPixelFormats;
+ (id)pixelFormatsWithCompatibility:(id)fp8;
+ (id)pixelFormatsWithCompatibilities:(id)fp8 pixelColorModel:(int)fp12 pixelAlpha:(int)fp16 pixelType:(int)fp20;
+ (id)findPixelFormat:(id)fp8 withColorSpace:(struct CGColorSpace *)fp12 closestToFormats:(id)fp16;
+ (id)pixelFormatWithName:(id)fp8;
@end

@interface QCPixelFormat (Extensions)
+ (id)defaultClosestPixelFormat:(id)fp8 withColorSpace:(struct CGColorSpace *)fp12;
- (BOOL)hasCompatibility:(id)fp8;
- (BOOL)isValidWidth:(unsigned int)fp8;
- (BOOL)isValidHeight:(unsigned int)fp8;
- (BOOL)areValidBounds:(struct _NSRect)fp8;
- (struct _NSRect)validateBounds:(struct _NSRect)fp8;
- (unsigned int)packedBytesPerRowForWidth:(unsigned int)fp8;
- (unsigned int)optimalBytesPerRowForWidth:(unsigned int)fp8;
- (double)compareWithPixelFormat:(id)fp8;
- (id)closestPixelFormat:(id)fp8 outDifference:(double *)fp12;
- (unsigned int)pixelSamples;
@end

@interface QCPixelFormat (pixelFormatIndexedGray8)
+ (id)pixelFormatIndexedGray8;
@end

@interface QCPixelFormat (pixelFormatM_If)
+ (id)pixelFormatM_If;
@end

@interface QCPixelFormat (pixelFormatM_Ih)
+ (id)pixelFormatM_Ih;
@end

@interface QCPixelFormat (pixelFormatM_I16)
+ (id)pixelFormatM_I16;
@end

@interface QCPixelFormat (pixelFormatM_I8)
+ (id)pixelFormatM_I8;
@end

@interface QCPixelFormat (pixelFormat422YpCbCr8_709)
+ (id)pixelFormat422YpCbCr8_709;
@end

@interface QCPixelFormat (pixelFormat422YpCbCr8_601)
+ (id)pixelFormat422YpCbCr8_601;
@end

@interface QCPixelFormat (pixelFormatCMYKf)
+ (id)pixelFormatCMYKf;
@end

@interface QCPixelFormat (pixelFormatCMYK16)
+ (id)pixelFormatCMYK16;
@end

@interface QCPixelFormat (pixelFormatKYMC8)
+ (id)pixelFormatKYMC8;
@end

@interface QCPixelFormat (pixelFormatCMYK8)
+ (id)pixelFormatCMYK8;
@end

@interface QCPixelFormat (pixelFormatIf)
+ (id)pixelFormatIf;
@end

@interface QCPixelFormat (pixelFormatIh)
+ (id)pixelFormatIh;
@end

@interface QCPixelFormat (pixelFormatI16)
+ (id)pixelFormatI16;
@end

@interface QCPixelFormat (pixelFormatI8)
+ (id)pixelFormatI8;
@end

@interface QCPixelFormat (pixelFormatRGBAf)
+ (id)pixelFormatRGBAf;
@end

@interface QCPixelFormat (pixelFormatRGBAh)
+ (id)pixelFormatRGBAh;
@end

@interface QCPixelFormat (pixelFormatRGBA16)
+ (id)pixelFormatRGBA16;
@end

@interface QCPixelFormat (pixelFormatRGBA8)
+ (id)pixelFormatRGBA8;
@end

@interface QCPixelFormat (pixelFormatBGRA8)
+ (id)pixelFormatBGRA8;
@end

@interface QCPixelFormat (pixelFormatARGB8)
+ (id)pixelFormatARGB8;
@end

@interface QCPixelFormat (pixelFormatRGBX8)
+ (id)pixelFormatRGBX8;
@end

@interface QCPixelFormat (pixelFormatBGRX8)
+ (id)pixelFormatBGRX8;
@end

@interface QCPixelFormat (pixelFormatXRGB8)
+ (id)pixelFormatXRGB8;
@end

@interface QCPixelFormat (pixelFormatRGBf)
+ (id)pixelFormatRGBf;
@end

@interface QCPixelFormat (pixelFormatRGBh)
+ (id)pixelFormatRGBh;
@end

@interface QCPixelFormat (pixelFormatRGB16)
+ (id)pixelFormatRGB16;
@end

@interface QCPixelFormat (pixelFormatRGB8)
+ (id)pixelFormatRGB8;
@end
